Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::MeshGeometry Class Reference

メッシュジオメトリ More...

`#include <MeshGeometry.h>`

Inheritance diagram for Lamp::MeshGeometry:

List of all members.

## Public Member Functions
| MeshGeometry ()
| コンストラクタ
| MeshGeometry (const MeshGeometry &copy)
| コピーコンストラクタ
virtual const MeshGeometry & | operator= (const MeshGeometry &copy)
| 代入コピー
virtual | ~MeshGeometry ()
| デストラクタ
virtual bool | intersect (const Sphere &sphere) const
| 球交差
virtual void | intersect (IntersectionResult *result, const Sphere &sphere) const
| 球交差
virtual bool | intersectBounding (const Sphere &sphere) const
| 球バウンディング交差
virtual bool | intersectMesh (const Sphere &sphere) const
| 球メッシュ交差
virtual void | intersectMesh (IntersectionResult *result, const Sphere &sphere) const
| 球メッシュ交差

## Detailed Description

メッシュジオメトリ

Definition at line 36 of file MeshGeometry.h.

## Constructor & Destructor Documentation

Lamp::MeshGeometry::MeshGeometry | ( | const MeshGeometry & | copy | ) | `[explicit]`

  | コピーコンストラクタ Parameters:
  copy | コピー元
Definition at line 38 of file MeshGeometry.cpp.

## Member Function Documentation

virtual void Lamp::MeshGeometry::intersect | ( | IntersectionResult * | result,
|  | const Sphere & | sphere
| ) | const`[inline, virtual]`

  | 球交差 Parameters:
  sphere | 交差判定する球
  result | 交差結果
Reimplemented in Lamp::DeformedMeshGeometry. Definition at line 82 of file MeshGeometry.h. References Assert.

virtual bool Lamp::MeshGeometry::intersect | ( | const Sphere & | sphere | ) | const`[inline, virtual]`

  | 球交差 Parameters:
  sphere | 交差判定する球
Returns: 交差していればtrue Reimplemented in Lamp::DeformedMeshGeometry. Definition at line 72 of file MeshGeometry.h. References Assert.

virtual bool Lamp::MeshGeometry::intersectBounding | ( | const Sphere & | sphere | ) | const`[inline, virtual]`

  | 球バウンディング交差 Parameters:
  sphere | 交差判定する球
Returns: バウンディングと交差していればtrue Reimplemented in Lamp::DeformedMeshGeometry. Definition at line 92 of file MeshGeometry.h. References Assert.

virtual void Lamp::MeshGeometry::intersectMesh | ( | IntersectionResult * | result,
|  | const Sphere & | sphere
| ) | const`[inline, virtual]`

  | 球メッシュ交差 Parameters:
  sphere | 交差判定する球
  result | 交差結果
Reimplemented in Lamp::DeformedMeshGeometry. Definition at line 112 of file MeshGeometry.h. References Assert.

virtual bool Lamp::MeshGeometry::intersectMesh | ( | const Sphere & | sphere | ) | const`[inline, virtual]`

  | 球メッシュ交差 Parameters:
  sphere | 交差判定する球
Returns: メッシュと交差していればtrue Reimplemented in Lamp::DeformedMeshGeometry. Definition at line 102 of file MeshGeometry.h. References Assert.

const MeshGeometry & Lamp::MeshGeometry::operator= | ( | const MeshGeometry & | copy | ) | `[virtual]`

  | 代入コピー Parameters:
  copy | コピー元
Returns: コピーされたメッシュジオメトリ Definition at line 42 of file MeshGeometry.cpp.

The documentation for this class was generated from the following files:

- MeshGeometry.h
- MeshGeometry.cpp